﻿
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio 14
VisualStudioVersion = 14.0.25420.1
MinimumVisualStudioVersion = 10.0.40219.1
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "CreationalPatterns", "CreationalPatterns", "{C8D4B5BA-BE5A-41A8-ACDF-E31BB1738A7C}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "StructuralPatterns", "StructuralPatterns", "{598A65CC-ABC0-4F60-B324-AD1F99807E20}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "AbstractFactory", "DesignPatterns\CreationalPatterns\AbstractFactory\AbstractFactory.vcxproj", "{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Builder", "DesignPatterns\CreationalPatterns\Builder\Builder.vcxproj", "{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "FactoryMethod", "DesignPatterns\CreationalPatterns\FactoryMethod\FactoryMethod.vcxproj", "{8F2235C2-2A8B-4F22-8532-C811951CDC2E}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Prototype", "DesignPatterns\CreationalPatterns\Prototype\Prototype.vcxproj", "{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Singleton", "DesignPatterns\CreationalPatterns\Singleton\Singleton.vcxproj", "{9EEED1F7-6999-4F71-A24F-42E1E6409F39}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Adapter", "DesignPatterns\StructuralPatterns\Adapter\Adapter.vcxproj", "{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Bridge", "DesignPatterns\StructuralPatterns\Bridge\Bridge.vcxproj", "{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Composite", "DesignPatterns\StructuralPatterns\Composite\Composite.vcxproj", "{7778E418-41AF-41D2-84CD-E0B588AB2590}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Decorator", "DesignPatterns\StructuralPatterns\Decorator\Decorator.vcxproj", "{84C20E3B-8AE4-4586-A406-0CF537689E5D}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Facade", "DesignPatterns\StructuralPatterns\Facade\Facade.vcxproj", "{538055C7-34B9-453E-898E-658700B5159C}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Flyweight", "DesignPatterns\StructuralPatterns\Flyweight\Flyweight.vcxproj", "{C875CF4F-9191-4E51-A45D-723214D74D5E}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Proxy", "DesignPatterns\StructuralPatterns\Proxy\Proxy.vcxproj", "{685A5E35-E541-4A56-AB6A-74950D7C50B9}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "BehavioralPatterns", "BehavioralPatterns", "{DD7C1E17-3674-48D9-B4DF-C6601853A7C8}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ChainOfResponsibility", "DesignPatterns\BehavioralPatterns\ChainOfResponsibility\ChainOfResponsibility.vcxproj", "{B1CE739A-B5BA-44E3-B461-72B4F78D8092}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Command", "DesignPatterns\BehavioralPatterns\Command\Command.vcxproj", "{713637DE-8FA7-443D-BBF1-3665355BCC0B}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Mediator", "DesignPatterns\BehavioralPatterns\Mediator\Mediator.vcxproj", "{8D4691F3-166F-4D52-8340-D1C1E482F0E1}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Memento", "DesignPatterns\BehavioralPatterns\Memento\Memento.vcxproj", "{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Observer", "DesignPatterns\BehavioralPatterns\Observer\Observer.vcxproj", "{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Interpreter", "DesignPatterns\BehavioralPatterns\Interpreter\Interpreter.vcxproj", "{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Strategy", "DesignPatterns\BehavioralPatterns\Strategy\Strategy.vcxproj", "{91869543-2665-472B-AB3C-F5E3A25658F3}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TemplateMethod", "DesignPatterns\BehavioralPatterns\TemplateMethod\TemplateMethod.vcxproj", "{28DF8C23-7ABF-4D1D-B403-73B8941D5363}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Debug|x64.ActiveCfg = Debug|x64
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Debug|x64.Build.0 = Debug|x64
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Debug|x86.ActiveCfg = Debug|Win32
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Debug|x86.Build.0 = Debug|Win32
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Release|x64.ActiveCfg = Release|x64
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Release|x64.Build.0 = Release|x64
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Release|x86.ActiveCfg = Release|Win32
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3}.Release|x86.Build.0 = Release|Win32
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Debug|x64.ActiveCfg = Debug|x64
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Debug|x64.Build.0 = Debug|x64
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Debug|x86.ActiveCfg = Debug|Win32
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Debug|x86.Build.0 = Debug|Win32
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Release|x64.ActiveCfg = Release|x64
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Release|x64.Build.0 = Release|x64
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Release|x86.ActiveCfg = Release|Win32
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20}.Release|x86.Build.0 = Release|Win32
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Debug|x64.ActiveCfg = Debug|x64
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Debug|x64.Build.0 = Debug|x64
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Debug|x86.ActiveCfg = Debug|Win32
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Debug|x86.Build.0 = Debug|Win32
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Release|x64.ActiveCfg = Release|x64
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Release|x64.Build.0 = Release|x64
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Release|x86.ActiveCfg = Release|Win32
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E}.Release|x86.Build.0 = Release|Win32
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Debug|x64.ActiveCfg = Debug|x64
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Debug|x64.Build.0 = Debug|x64
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Debug|x86.ActiveCfg = Debug|Win32
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Debug|x86.Build.0 = Debug|Win32
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Release|x64.ActiveCfg = Release|x64
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Release|x64.Build.0 = Release|x64
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Release|x86.ActiveCfg = Release|Win32
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7}.Release|x86.Build.0 = Release|Win32
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Debug|x64.ActiveCfg = Debug|x64
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Debug|x64.Build.0 = Debug|x64
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Debug|x86.ActiveCfg = Debug|Win32
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Debug|x86.Build.0 = Debug|Win32
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Release|x64.ActiveCfg = Release|x64
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Release|x64.Build.0 = Release|x64
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Release|x86.ActiveCfg = Release|Win32
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39}.Release|x86.Build.0 = Release|Win32
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Debug|x64.ActiveCfg = Debug|x64
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Debug|x64.Build.0 = Debug|x64
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Debug|x86.ActiveCfg = Debug|Win32
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Debug|x86.Build.0 = Debug|Win32
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Release|x64.ActiveCfg = Release|x64
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Release|x64.Build.0 = Release|x64
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Release|x86.ActiveCfg = Release|Win32
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C}.Release|x86.Build.0 = Release|Win32
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Debug|x64.ActiveCfg = Debug|x64
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Debug|x64.Build.0 = Debug|x64
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Debug|x86.ActiveCfg = Debug|Win32
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Debug|x86.Build.0 = Debug|Win32
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Release|x64.ActiveCfg = Release|x64
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Release|x64.Build.0 = Release|x64
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Release|x86.ActiveCfg = Release|Win32
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258}.Release|x86.Build.0 = Release|Win32
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Debug|x64.ActiveCfg = Debug|x64
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Debug|x64.Build.0 = Debug|x64
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Debug|x86.ActiveCfg = Debug|Win32
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Debug|x86.Build.0 = Debug|Win32
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Release|x64.ActiveCfg = Release|x64
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Release|x64.Build.0 = Release|x64
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Release|x86.ActiveCfg = Release|Win32
		{7778E418-41AF-41D2-84CD-E0B588AB2590}.Release|x86.Build.0 = Release|Win32
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Debug|x64.ActiveCfg = Debug|x64
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Debug|x64.Build.0 = Debug|x64
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Debug|x86.ActiveCfg = Debug|Win32
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Debug|x86.Build.0 = Debug|Win32
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Release|x64.ActiveCfg = Release|x64
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Release|x64.Build.0 = Release|x64
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Release|x86.ActiveCfg = Release|Win32
		{84C20E3B-8AE4-4586-A406-0CF537689E5D}.Release|x86.Build.0 = Release|Win32
		{538055C7-34B9-453E-898E-658700B5159C}.Debug|x64.ActiveCfg = Debug|x64
		{538055C7-34B9-453E-898E-658700B5159C}.Debug|x64.Build.0 = Debug|x64
		{538055C7-34B9-453E-898E-658700B5159C}.Debug|x86.ActiveCfg = Debug|Win32
		{538055C7-34B9-453E-898E-658700B5159C}.Debug|x86.Build.0 = Debug|Win32
		{538055C7-34B9-453E-898E-658700B5159C}.Release|x64.ActiveCfg = Release|x64
		{538055C7-34B9-453E-898E-658700B5159C}.Release|x64.Build.0 = Release|x64
		{538055C7-34B9-453E-898E-658700B5159C}.Release|x86.ActiveCfg = Release|Win32
		{538055C7-34B9-453E-898E-658700B5159C}.Release|x86.Build.0 = Release|Win32
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Debug|x64.ActiveCfg = Debug|x64
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Debug|x64.Build.0 = Debug|x64
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Debug|x86.ActiveCfg = Debug|Win32
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Debug|x86.Build.0 = Debug|Win32
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Release|x64.ActiveCfg = Release|x64
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Release|x64.Build.0 = Release|x64
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Release|x86.ActiveCfg = Release|Win32
		{C875CF4F-9191-4E51-A45D-723214D74D5E}.Release|x86.Build.0 = Release|Win32
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Debug|x64.ActiveCfg = Debug|x64
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Debug|x64.Build.0 = Debug|x64
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Debug|x86.ActiveCfg = Debug|Win32
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Debug|x86.Build.0 = Debug|Win32
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Release|x64.ActiveCfg = Release|x64
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Release|x64.Build.0 = Release|x64
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Release|x86.ActiveCfg = Release|Win32
		{685A5E35-E541-4A56-AB6A-74950D7C50B9}.Release|x86.Build.0 = Release|Win32
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Debug|x64.ActiveCfg = Debug|x64
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Debug|x64.Build.0 = Debug|x64
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Debug|x86.ActiveCfg = Debug|Win32
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Debug|x86.Build.0 = Debug|Win32
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Release|x64.ActiveCfg = Release|x64
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Release|x64.Build.0 = Release|x64
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Release|x86.ActiveCfg = Release|Win32
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092}.Release|x86.Build.0 = Release|Win32
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Debug|x64.ActiveCfg = Debug|x64
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Debug|x64.Build.0 = Debug|x64
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Debug|x86.ActiveCfg = Debug|Win32
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Debug|x86.Build.0 = Debug|Win32
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Release|x64.ActiveCfg = Release|x64
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Release|x64.Build.0 = Release|x64
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Release|x86.ActiveCfg = Release|Win32
		{713637DE-8FA7-443D-BBF1-3665355BCC0B}.Release|x86.Build.0 = Release|Win32
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Debug|x64.ActiveCfg = Debug|x64
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Debug|x64.Build.0 = Debug|x64
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Debug|x86.ActiveCfg = Debug|Win32
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Debug|x86.Build.0 = Debug|Win32
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Release|x64.ActiveCfg = Release|x64
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Release|x64.Build.0 = Release|x64
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Release|x86.ActiveCfg = Release|Win32
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1}.Release|x86.Build.0 = Release|Win32
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Debug|x64.ActiveCfg = Debug|x64
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Debug|x64.Build.0 = Debug|x64
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Debug|x86.ActiveCfg = Debug|Win32
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Debug|x86.Build.0 = Debug|Win32
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Release|x64.ActiveCfg = Release|x64
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Release|x64.Build.0 = Release|x64
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Release|x86.ActiveCfg = Release|Win32
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A}.Release|x86.Build.0 = Release|Win32
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Debug|x64.ActiveCfg = Debug|x64
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Debug|x64.Build.0 = Debug|x64
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Debug|x86.ActiveCfg = Debug|Win32
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Debug|x86.Build.0 = Debug|Win32
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Release|x64.ActiveCfg = Release|x64
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Release|x64.Build.0 = Release|x64
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Release|x86.ActiveCfg = Release|Win32
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6}.Release|x86.Build.0 = Release|Win32
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Debug|x64.ActiveCfg = Debug|x64
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Debug|x64.Build.0 = Debug|x64
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Debug|x86.ActiveCfg = Debug|Win32
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Debug|x86.Build.0 = Debug|Win32
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Release|x64.ActiveCfg = Release|x64
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Release|x64.Build.0 = Release|x64
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Release|x86.ActiveCfg = Release|Win32
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6}.Release|x86.Build.0 = Release|Win32
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Debug|x64.ActiveCfg = Debug|x64
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Debug|x64.Build.0 = Debug|x64
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Debug|x86.ActiveCfg = Debug|Win32
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Debug|x86.Build.0 = Debug|Win32
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Release|x64.ActiveCfg = Release|x64
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Release|x64.Build.0 = Release|x64
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Release|x86.ActiveCfg = Release|Win32
		{91869543-2665-472B-AB3C-F5E3A25658F3}.Release|x86.Build.0 = Release|Win32
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Debug|x64.ActiveCfg = Debug|x64
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Debug|x64.Build.0 = Debug|x64
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Debug|x86.ActiveCfg = Debug|Win32
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Debug|x86.Build.0 = Debug|Win32
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Release|x64.ActiveCfg = Release|x64
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Release|x64.Build.0 = Release|x64
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Release|x86.ActiveCfg = Release|Win32
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363}.Release|x86.Build.0 = Release|Win32
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(NestedProjects) = preSolution
		{F1342AAF-57A7-4E2A-AE1E-770F7AD830B3} = {C8D4B5BA-BE5A-41A8-ACDF-E31BB1738A7C}
		{1A5A2AEB-DD21-49EF-A9D1-B91479B50C20} = {C8D4B5BA-BE5A-41A8-ACDF-E31BB1738A7C}
		{8F2235C2-2A8B-4F22-8532-C811951CDC2E} = {C8D4B5BA-BE5A-41A8-ACDF-E31BB1738A7C}
		{7697EC59-5BD7-47DD-A5AC-4B0C7B21E2C7} = {C8D4B5BA-BE5A-41A8-ACDF-E31BB1738A7C}
		{9EEED1F7-6999-4F71-A24F-42E1E6409F39} = {C8D4B5BA-BE5A-41A8-ACDF-E31BB1738A7C}
		{52B0D625-FF43-4C1C-845D-B43E07D4FA2C} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{BBD80FFB-9A5E-4EBF-8B6D-98E497B36258} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{7778E418-41AF-41D2-84CD-E0B588AB2590} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{84C20E3B-8AE4-4586-A406-0CF537689E5D} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{538055C7-34B9-453E-898E-658700B5159C} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{C875CF4F-9191-4E51-A45D-723214D74D5E} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{685A5E35-E541-4A56-AB6A-74950D7C50B9} = {598A65CC-ABC0-4F60-B324-AD1F99807E20}
		{B1CE739A-B5BA-44E3-B461-72B4F78D8092} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{713637DE-8FA7-443D-BBF1-3665355BCC0B} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{8D4691F3-166F-4D52-8340-D1C1E482F0E1} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{C86F3D0E-9391-42BF-B5CD-535397AB0C8A} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{B029AAD2-58DE-47DE-B6DD-1CF3079230E6} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{91EE2A2B-8EC9-4CDC-807A-A28FED9484A6} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{91869543-2665-472B-AB3C-F5E3A25658F3} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
		{28DF8C23-7ABF-4D1D-B403-73B8941D5363} = {DD7C1E17-3674-48D9-B4DF-C6601853A7C8}
	EndGlobalSection
EndGlobal
